%option noyywrap interactive bison
%{
#include "y.tab.h"
#include <stdio.h>
int findid(const char *);
%}
%%
[a-zA-Z][a-zA-Z0-9_]* { 
           yylval=findid(yytext);
           return IDENT;
        }
[0-9]+ { 
      sscanf(yytext,"%d",&yylval); 
      return NUMBER;
     }
[\t ] ;
\n|. return yytext[0];
%%
